Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class BaseModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CoordinatorConnectionModel`, `CoordinatorModel`, `DataObjectModel`, `EventStageModel`, `HeavyHitterModel`, `StatisticsModel`, `StatisticsOptions`, `UtilizationModel`, `WorkerModel`

    public abstract class BaseModel
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`Long` `id`

### Constructor Summary

Constructors
`BaseModel()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public Long id

### Constructor Detail

#### BaseModel

    public BaseModel()